> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Record Agent Skill Candidate Evaluation

POST https://api.getzep.com/api/v4/agents/{agent_uuid}/skill-candidates/{review_uuid}/candidates/{candidate_uuid}/evaluations
Content-Type: application/json

Reference: https://docs-beta.getzep.com/sdk-reference/agent/skill/evaluation/create-for-candidate

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID
- `review_uuid` (string, required) — Candidate review UUID
- `candidate_uuid` (string, required) — Candidate UUID

### Body (application/json)

This endpoint expects a v4.CreateAgentSkillCandidateEvaluationRequest.

- `evaluated_by` (enum, required)
  - Allowed values: `customer`, `tool`, `offline_corpus`, `policy`
- `evaluator_version` (string, required)
- `expected_revision` (integer, required)
- `verdict` (enum, required)
  - Allowed values: `succeeded`, `failed`, `partial`, `unknown`
- `controlled_test` (boolean, optional)
- `environment` (string, optional)
- `evidence_reference` (string, optional)
- `metrics` (map from string to double, optional)

## Response

### 201

Created

- `candidate_uuid` (string, optional)
- `controlled_test` (boolean, optional)
- `created_at` (string, optional)
- `environment` (string, optional)
- `evaluated_by` (string, optional)
- `evaluator_version` (string, optional)
- `evidence_reference` (string, optional)
- `metrics` (map from string to double, optional)
- `review_uuid` (string, optional)
- `revision` (integer, optional)
- `uuid` (string, optional)
- `verdict` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 409 Conflict Error

Conflict

- `error` (v4.ErrorBody, optional)

### 503 Service Unavailable Error

Service Unavailable

- `error` (v4.ErrorBody, optional)

## Types

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Request**

```json
{
  "evaluated_by": "customer",
  "evaluator_version": "string",
  "expected_revision": 1,
  "verdict": "succeeded"
}
```

**Response**

```json
{
  "candidate_uuid": "string",
  "controlled_test": true,
  "created_at": "string",
  "environment": "string",
  "evaluated_by": "string",
  "evaluator_version": "string",
  "evidence_reference": "string",
  "metrics": {},
  "review_uuid": "string",
  "revision": 1,
  "uuid": "string",
  "verdict": "string"
}
```